//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Skybox
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_uptown_mirrored/skyyyy
{
	qer_editorimage textures/aadel_uptown_mirrored/clouds.tga
    qer_trans 0.99

	q3map_lightmapFilterRadius 0 8	
		//0 4 not blurry enough
		//0 2 too much stadium light effect.. 
	q3map_backsplash 0 0

	q3map_sunEXT 	0.816 0.749 0.619 30 235 35 3 32 
		//0.816 0.749 0.619 30 135 45 4 32 - back to original degrees/elevation
		//0.816 0.749 0.619 60 135 45 4 32 - lowered futher
		//0.816 0.749 0.619 80 135 45 4 32 - doesn't look overcast enough, lowered light value
		//0.94 0.91 0.85 115 235 35 3 12 - too white
		//r g b intensity degrees elevation deviance samples
		
	q3map_lightRGB 	0.856 0.799 0.669
		//0.94 0.91 0.95 - too white
		
	q3map_skyLight 	65 4
		//98 4 - too bright still
		//98 6 - reducing compile time by changing to 4
		//120 6 - 180 was too bright
	
	skyparms textures/aadel_uptown_mirrored/skyyyy 1200 - //- 1000 -
	nopicmip
	nomipmaps
	{
		map textures/aadel_uptown_mirrored/clouds.tga
		tcMod scroll 0.00375 -0.0025 //0.004 -0.0025 
		tcmod scale 5 5 //4 4
		rgbGen identityLighting
	}	
	{
		map textures/aadel_uptown_mirrored/mask.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		tcMod transform 0.25 0 0 0.25 0.1075 0.1075		//tcMod transform 0.75 0 0 0.75 -0.678 -0.678			
		rgbGen identityLighting
	}
}
textures/aadel_uptown_mirrored/levelfog
{
	qer_editorimage textures/aadel_uptown_mirrored/levelfog.tga
	qer_trans 0.25

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap

	qer_nocarve
	fogparms ( 0.816 0.749 0.619 ) 15000	//(0 0 0) 25000
}
textures/aadel_uptown_mirrored/levelfog_laseronly
{
	qer_editorimage textures/aadel_uptown_mirrored/levelfog.tga
	qer_trans 0.25

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap

	qer_nocarve
	fogparms ( 0.1 0.1 0.1 ) 5000000	//(0 0 0) 25000
}

textures/aadel_uptown_mirrored/light_white
{
	q3map_surfacelight 10000		//15000
	q3map_lightmapFilterRadius 0 8
	q3map_backSplash 15 20 //percent units - 5 23 by default
	q3map_lightRGB 0.95 0.95 0.98
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aadel_uptown_mirrored/light_white.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/aadel_uptown_mirrored/light_beam
{
	qer_editorimage textures/sfx/lightbeam.tga
	qer_trans 0.95
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/sfx/lightbeam.tga
		tcMod Scroll 0.011 0
		blendFunc add
	}
}
textures/aadel_uptown_mirrored/light_beam_2
{
	qer_editorimage textures/sfx/lightbeam.tga
	qer_trans 0.95
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/sfx/lightbeam.tga
		tcMod Scroll 0.0125 0
		blendFunc add
	}
}
textures/aadel_uptown_mirrored/light_beam_3
{
	qer_editorimage textures/sfx/lightbeam.tga
	qer_trans 0.95
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/sfx/lightbeam.tga
		tcMod Scroll 0.0147 0
		blendFunc add
	}
}
textures/aadel_uptown_mirrored/corona
{
	deformvertexes autosprite
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nodlight
	surfaceparm nolightmap
	cull none
	{
		map textures/aadel_uptown_mirrored/corona.tga
		blendfunc add
		rgbgen identity
	}
}